=== debian/changelog ===
konqueror (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:12:40 +0000

konqueror (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:22:37 +0000

konqueror (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:56:46 +0000

konqueror (4:19.12.0-0ubuntu1) focal; urgency=medium

  * Update install files.
  * Drop depreciated khtml build dependency.
  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:50:28 +0000

konqueror (4:19.08.3-0ubuntu1) focal; urgency=medium

  * Sync changes from Debian unstable. Remaining changes:
    - Don't patch to build on architectures where QtWebEngine is not
      available.
    - data package for translations.
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:35:08 +0000

konqueror (4:19.04.3-0ubuntu2) focal; urgency=medium

  * Sync Debian test changes:
    - Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
      are not run at build time anyway.
    - Drop the 'testsuite' autopkgtest, as it does not test the installed
      packages.

 -- Rik Mills <rikmills@kde.org>  Mon, 28 Oct 2019 16:49:33 +0000
