## konqueror 20.04.0

=== debian/changelog ===
konqueror (4:20.04.0-1+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from 4:17.08.3-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sun, 07 Jan 2018 14:14:20 +0000]
  * Remove armhf from webengine arches since raspbian doesn't currently have it.

  [changes introduced in 4:18.12.0-1+rpi1 by Peter Michal Green]
  * Also remove armhf from architecture list for webengine directory in debian/konqueror.install

 -- Peter Michael Green <plugwash@raspbian.org>  Tue, 12 May 2020 10:19:40 +0000

konqueror (4:20.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.0
    - bump the Qt packages to 5.9.0
    - bump the KF packages to 5.38.0
    - add libkf5dbusaddons-dev, libkf5jobwidgets-dev, libkf5windowsystem-dev,
      and libqt5texttospeech5-dev
    - remove libkf5khtml-dev, libkf5widgetsaddons-dev, and libtidy-dev,
      no more used
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
    - switch from dh_install to dh_missing for --fail-missing
  * Bump Standards-Version to 4.5.0, no changes required.
  * Update the patches:
    - upstream_Fix-CMakeLists.txt-to-compile-WebEnginePartHtmlEmbed.patch:
      drop, backported from upstream
    - optional-qtwebengine.diff: update
  * Restore compatibility with KBookmarkMenu < 5.69; patch
    old-kbookmarkmenu.diff.
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Sat, 02 May 2020 16:48:06 +0200
