## konqueror 20.08.1

=== debian/changelog ===
konqueror (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)
  * Update install files.
  * Update lintain overrides.

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:56:56 +0100

konqueror (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:49:26 +0100

konqueror (4:20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jul 2020 07:40:08 +0100

konqueror (4:20.04.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 20 Jun 2020 13:19:51 +0100

konqueror (4:20.04.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.1)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Fri, 15 May 2020 14:38:19 +0100

konqueror (4:20.04.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 04 May 2020 10:24:17 +0100
